Text.Parse

# The Parse class is a replacement for the standard Read class.

type TextParser a

class Parse a

parseByRead

readByParse

readsPrecByParsePrec

## Combinators specific to string input, lexed haskell-style

word

isWord

literal

optionalParens

parens

field

constructors

enumeration

## Parsers for literal numerics and characters

parseSigned

parseInt

parseDec

parseOct

parseHex

parseFloat

parseLitChar

parseLitChar'

## Re-export all the more general combinators from Poly too

## Strings as whole entities

allAsString